## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOMParsedSource Class Reference

This is designed to allow a XalanTranfomer object to reuse a parsed document. More...

Inheritance diagram for XercesDOMParsedSource:

[legend]
Collaboration diagram for XercesDOMParsedSource:

[legend]
List of all members.

## Public Member Functions

- XercesDOMParsedSource (const InputSourceType &theInputSource, bool fValidate=false, ErrorHandlerType *theErrorHandler=0, EntityResolverType *theEntityResolver=0, const XalanDOMChar *theExternalSchemaLocation=0, const XalanDOMChar *theExternalNoNamespaceSchemaLocation=0, MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~XercesDOMParsedSource ()
- virtual XalanDocument * getDocument () const
    Get a pointer to the XalanDocument instance for the source document.
- virtual XalanParsedSourceHelper * createHelper (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR) const
    Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.
- virtual const XalanDOMString & getURI () const
    Get the URI for the parsed source, if any.

## Static Public Member Functions

- XercesDOMParsedSource * create (MemoryManagerType &theManager, const InputSourceType &theInputSource, bool fValidate=false, ErrorHandlerType *theErrorHandler=0, EntityResolverType *theEntityResolver=0, const XalanDOMChar *theExternalSchemaLocation=0, const XalanDOMChar *theExternalNoNamespaceSchemaLocation=0)

## Detailed Description

This is designed to allow a XalanTranfomer object to reuse a parsed document.

## Constructor & Destructor Documentation

XercesDOMParsedSource::XercesDOMParsedSource | ( | const InputSourceType & | theInputSource,
|  | bool | fValidate = false,
|  | ErrorHandlerType * | theErrorHandler = 0,
|  | EntityResolverType * | theEntityResolver = 0,
|  | const XalanDOMChar * | theExternalSchemaLocation = 0,
|  | const XalanDOMChar * | theExternalNoNamespaceSchemaLocation = 0,
|  | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR
| ) |

virtual XercesDOMParsedSource::~XercesDOMParsedSource | ( |  | ) | `[virtual]`

## Member Function Documentation

XercesDOMParsedSource* XercesDOMParsedSource::create | ( | MemoryManagerType & | theManager,
|  | const InputSourceType & | theInputSource,
|  | bool | fValidate = false,
|  | ErrorHandlerType * | theErrorHandler = 0,
|  | EntityResolverType * | theEntityResolver = 0,
|  | const XalanDOMChar * | theExternalSchemaLocation = 0,
|  | const XalanDOMChar * | theExternalNoNamespaceSchemaLocation = 0
| ) | `[static]`

virtual XalanParsedSourceHelper* XercesDOMParsedSource::createHelper | ( | MemoryManagerType &theManager | XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR | ) | const`[virtual]`

Create the appropriate XalanParsedSourceHelper instance to use for transforming with the instance.

The caller is responsible for deleting the object when finished.

Returns:
  A pointer to a XalanParsedSourceHelper instance.

Implements XalanParsedSource.

virtual XalanDocument* XercesDOMParsedSource::getDocument | ( |  | ) | const`[virtual]`

Get a pointer to the XalanDocument instance for the source document.

Returns:
  A pointer to a XalanDocument instance.

Implements XalanParsedSource.

virtual const XalanDOMString& XercesDOMParsedSource::getURI | ( |  | ) | const`[virtual]`

Get the URI for the parsed source, if any.

use for transforming with the instance.

Returns:
  A const reference to a string containing the URI

Implements XalanParsedSource.

The documentation for this class was generated from the following file:

- XercesDOMParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.